%define name sratom
%define version 0.4.7git.ea2e46
%define release 9

Name: sratom
Version: 0.4.7git.ea2e46
Release: 9.rncbc.suse132
Summary:    A C library for serialising LV2 plugins

Group:      System/Libraries
License:    MIT
URL:        http://drobilla.net/software/%{name}/
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig python python-rdflib doxygen
BuildRequires:  graphviz-devel
BuildRequires:  lv2-devel >= 1.8.0
BuildRequires:  libserd-devel >= 0.18.0
BuildRequires:  libsord-devel >= 0.10.0

%define _lib_major 0
%define _lib_name lib%{name}-%{_lib_major}-0
%define _lib_name_devel lib%{name}-devel

%description
%{name} is a new C library for serialising LV2 atoms to/from Turtle. It is 
intended to be a full serialisation solution for LV2 atoms, allowing 
implementations to serialise binary atoms to strings and read them back again. 
This is particularly useful for saving plugin state, or implementing plugin 
control with network transparency.

#-----------------------------------
%package -n %{_lib_name}
Summary: C library for serialising LV2 atoms to/from Turtle
Group: System/Libraries

%description -n %{_lib_name}
%{name} is a new C library for serialising LV2 atoms to/from Turtle. It is 
intended to be a full serialisation solution for LV2 atoms, allowing 
implementations to serialise binary atoms to strings and read them back again. 
This is particularly useful for saving plugin state, or implementing plugin 
control with network transparency.

%files -n %{_lib_name}
%defattr(-,root,root,-)
%doc NEWS README COPYING
%{_libdir}/lib%{name}-%{_lib_major}.so.*

#-----------------------------------
%package -n %{_lib_name_devel}
Summary:    Development libraries and headers for %{name}
Group:      System/Libraries
Requires:   %{_lib_name} = %{version}-%{release}

%description -n %{_lib_name_devel}
%{name} is a C library for serialising LV2 atoms to/from Turtle. It is 
intended to be a full serialisation solution for LV2 atoms, allowing 
implementations to serialise binary atoms to strings and read them back again. 
This is particularly useful for saving plugin state, or implementing plugin 
control with network transparency.

This package contains the headers and development libraries for %{name}.

%files -n %{_lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-0.so
%{_libdir}/pkgconfig/%{name}-%{_lib_major}.pc
%{_includedir}/%{name}-%{_lib_major}/

#-----------------------------------
%prep
%setup -q 


%build
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
./waf

%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%post   -n %{_lib_name} -p /sbin/ldconfig
%postun -n %{_lib_name} -p /sbin/ldconfig

#-----------------------------------
%changelog

* Sun Nov 15 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.4.7git
- Latest git snapshot.
* Wed Nov 26 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.4.6-6
- OBS snapshot update.
